##### io_context::poll_one (2 of 2 overloads)

(Deprecated: Use non-error_code overload.) Run the `io_context` object's event processing loop to execute one ready handler.

    count_type poll_one(
        asio::error_code & ec);

The `poll_one()` function runs at most one handler that is ready to run, without blocking.

###### Parameters

ec

  Set to indicate what error occurred, if any.

###### Return Value

The number of handlers that were executed.